<template>
	<div>
		<h1>Register</h1>
		<form class="d-flex flex-column">
			<input v-model="email" type="email" placeholder="E-mail">
			<input v-model="password" type="password" placeholder="Password">
			<button @click.prevent="register">Register</button>
		</form>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				email: '',
				password: ''
			}
		},

		methods: {
			register() {
				axios.post('user/register', {
					emailAddress: this.email,
					password: this.password
				})
				.then(res => {
					console.log(res.data.token)
					self.$store.commit('storeJwt', res.data.token)
				})
				.catch(err => {
					console.log(err)
					alert('Error')
				})
			}
		}
	}
</script>